<template>
  <div class="activation">
    <h1>Activation</h1>
    <div class="message">
      {{message}}
    </div>
  </div>
</template>
<script>
// @ is an alias to /src
import call from '@/services/callService';
import {mapMutations} from 'vuex';

export default {
  name: 'activation',
  data() {
    return {
      message: ''
    }
  },
  methods: {
    ...mapMutations(['UPDATE_AUTH_COMPONENT']),
    async activate() {
      try {
        const result = await call.accountActivate(this.getKey);
        this.message = `Congratulations! you have verified your email address, please login with your username ${result.username}`;
        this.$notify({
          group: 'app',
          type:'success',
          text: this.message
        });
        this.UPDATE_AUTH_COMPONENT({name: 'log', isShown: true});
      } catch (err) {
        this.message = err.desc || JSON.stringify(err);
        this.$notify({
          group: 'app',
          type:'warn',
          text: this.message
        });
      }
    }
  },
  computed: {
    getKey() {
      return this.$route.params.id;
    }
  },
  mounted() {
    this.activate();
  }
}
</script>
<style lang="sass" scoped>

</style>
